OpenFileInfo Struct Reference
RPMBUILD.

`#include <build/rpmspec.h>`

Collaboration diagram for OpenFileInfo:
[legend]

## Data Fields

const char * | fileName
FD_t | fd
int | lineNum
char | readBuf [BUFSIZ]
char * | readPtr
struct OpenFileInfo * | next

## Detailed Description

Definition at line 60 of file rpmspec.h.

## Field Documentation

FD_t OpenFileInfo::fd

Definition at line 64 of file rpmspec.h.

Referenced by closeSpec(), newOpenFileInfo(), and readLineFromOFI().

const char* OpenFileInfo::fileName

Definition at line 62 of file rpmspec.h.

Referenced by closeSpec(), forceIncludeFile(), newOpenFileInfo(), parseSpec(), readLine(), and readLineFromOFI().

int OpenFileInfo::lineNum

Definition at line 65 of file rpmspec.h.

Referenced by newOpenFileInfo(), readLine(), and readLineFromOFI().

struct OpenFileInfo* OpenFileInfo::next

Definition at line 70 of file rpmspec.h.

Referenced by closeSpec(), forceIncludeFile(), newOpenFileInfo(), and readLineFromOFI().

char OpenFileInfo::readBuf[BUFSIZ]

Definition at line 66 of file rpmspec.h.

Referenced by newOpenFileInfo(), and readLineFromOFI().

char* OpenFileInfo::readPtr

Definition at line 68 of file rpmspec.h.

Referenced by copyNextLineFromOFI(), newOpenFileInfo(), and readLineFromOFI().

The documentation for this struct was generated from the following file:

- build/rpmspec.h